﻿@model UserViewModel
@using SocialMedia.Web.Models

@{
    ViewData["Title"] = "Home Page";
}

<section>
    <div class="gap2 gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row merged20" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static left">
                                <div class="widget stick-widget">
                                    <h4 class="widget-title">Who's following</h4>
                                    <ul class="followers">
                                    </ul>
                                </div>
                            </aside>
                        </div>
                        <div class="col-lg-6">
                            <div class="central-meta">
                                <div class="new-postbox">
                                    <figure>
                                        <img src="@Url.Action("GetImage", "Home", new { userId = Model.Id})" onerror='this.src="/images/profile-icon.png"' alt="">
                                    </figure>
                                    <div class="newpst-input">
                                        <form asp-controller="Post" asp-action="SubmitPost" method="post" enctype="multipart/form-data">
                                            <textarea name="postTitle" rows="1" placeholder="Title"></textarea>
                                            <textarea name="postBody" rows="2" placeholder="Share your thoughts."></textarea>
                                            <div class="attachments">
                                                <ul>
                                                    <li>
                                                        <i class="fa fa-image"></i>
                                                        <label class="fileContainer">
                                                            <input type="file" name="file">
                                                        </label>
                                                    </li>
                                                    <li>
                                                        <button type="submit">Post</button>
                                                    </li>
                                                </ul>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            @foreach (PostViewModel post in ViewBag.Posts)
                            {
                                <div class="central-meta item">
                                    <div class="user-post">
                                        <div class="friend-info">
                                            <figure>
                                                <img src="@Url.Action("GetImage", "Home", new { userId = post.UserId })" onerror='this.src="/images/profile-icon.png"' alt="">
                                            </figure>
                                            <div class="friend-name">
                                                <ins><a asp-controller="User" asp-action="Index" asp-route-id="@post.UserId" title="">@post.Title</a></ins>
                                                <span>@post.UserFirstName @post.UserLastName - @post.CreatedOn.ToLongDateString()</span>
                                                @if (Model.Id == post.UserId)
                                                {
                                                    <span class="dislike" data-toggle="tooltip" title="" data-original-title="Delete" onclick='ajaxDeletePost(@post.Id)'>
                                                        <i class="ti-trash"></i>
                                                    </span>
                                                }
                                            </div>
                                            <div class="post-meta">
                                                <div class="we-video-info">
                                                    <img src="@Url.Action("GetImage", "Post", new { postId = post.Id })" onerror='this.src=""' alt="">
                                                    <div class="description">
                                                        <p>
                                                            @post.Body
                                                        </p>
                                                    </div>
                                                    <ul>
                                                        <li>
                                                            <span class="comment" data-toggle="tooltip" title="" data-original-title="Comments">
                                                                <i class="ti-comments"></i>
                                                                <ins>@post.Comments.Count</ins>
                                                            </span>
                                                        </li>
                                                        <li>
                                                            <span class="like" data-toggle="tooltip" title="" data-original-title="Like" onclick='ajaxLikePost(@post.Id)'>
                                                                <i class="ti-heart"></i>
                                                                <ins>@post.Likes</ins>
                                                            </span>
                                                        </li>
                                                        <li>
                                                            <span class="dislike" data-toggle="tooltip" title="" data-original-title="Dislike" onclick='ajaxDislikePost(@post.Id)'>
                                                                <i class="ti-heart-broken"></i>
                                                                <ins>@post.Dislikes</ins>
                                                            </span>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="coment-area">
                                            <ul class="we-comet" id="commentSection">
                                                @foreach (CommentViewModel comment in post.Comments)
                                                {
                                                    <li>
                                                        <div class="comet-avatar">
                                                            <img src="@Url.Action("GetImage", "Home", new { userId = comment.CommenterId})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                        </div>
                                                        <div class="we-comment">
                                                            <div class="coment-head">
                                                                <h5><a href="time-line.html" title="">@comment.CommenterName</a></h5>
                                                                <span>@comment.CreatedOn</span>
                                                                <span class="like" data-toggle="tooltip" title="" data-original-title="Like" onclick='ajaxLikeComment(@comment.Id)'>
                                                                    <i class="ti-thumb-up"></i>
                                                                    <ins>@comment.Likes</ins>
                                                                </span>
                                                                <span class="dislike" data-toggle="tooltip" title="" data-original-title="Dislike" onclick='ajaxDislikeComment(@comment.Id)'>
                                                                    <i class="ti-thumb-down"></i>
                                                                    <ins>@comment.Dislikes</ins>
                                                                </span>
                                                                @if (Model.Id == comment.CommenterId)
                                                                {
                                                                    <span class="dislike" data-toggle="tooltip" title="" data-original-title="Delete" onclick='ajaxDeleteComment(@comment.Id)'>
                                                                        <i class="ti-trash"></i>
                                                                    </span>
                                                                }
                                                                <a class="we-reply" href="#" data-toggle="tooltip" title="" data-original-title="Reply"><i class="fa fa-reply"></i></a>
                                                            </div>
                                                            <p>@comment.Body</p>
                                                        </div>

                                                    </li>
                                                }
                                                <li class="post-comment">
                                                    <div class="comet-avatar">
                                                        <img src="@Url.Action("GetImage", "Home", new { userId = Model.Id})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                    </div>
                                                    <div class="post-comt-box">
                                                        <form asp-action="PostComment" method="post" onkeydown='jqueryPost(this)'>
                                                            <input type="hidden" id="userId" name="userId" value="@Model.Id" />
                                                            <input type="hidden" id="postId" name="postId" value="@post.Id" />
                                                            <textarea placeholder="Comment as @Model.FirstName @Model.LastName" id="commentText" name="commentText"></textarea>
                                                        </form>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            }
                            </div>
                        <div class="col-lg-3">
                            <aside class="sidebar static right">
                                <div class="widget stick-widget">
                                    <h4 class="widget-title">My Page</h4>
                                    <div class="your-page">
                                        <figure>
                                            <a href="#" title=""><img src="@Url.Action("GetImage", "Home", new { userId = Model.Id})" onerror='this.src="/images/profile-icon.png"' alt=""></a>
                                        </figure>
                                        <div class="page-meta">
                                            <a asp-controller="User" asp-action="Index" asp-route-id="@Model.Id" title="" class="underline">@Model.FirstName @Model.LastName</a>
                                        </div>
                                        <div class="page-likes">
                                            <ul class="nav nav-tabs likes-btn">
                                                <li class="nav-item"><a class="active" href="#link1" data-toggle="tab">Likes</a></li>
                                                <li class="nav-item"><a class="" href="#link2" data-toggle="tab">Views</a></li>
                                            </ul>
                                            
                                            <div class="tab-content">
                                                <div class="tab-pane active fade show " id="link1">
                                                    <span><i class="ti-thumb-up"></i>0</span>
                                                    <a href="#" title="Likes">People liked your page</a>
                                                </div>
                                                <div class="tab-pane fade" id="link2">
                                                    <span><i class="ti-heart"></i>0</span>
                                                    <a href="#" title="Follows">People followed you</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </aside>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

